package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum MixConfigTypeEnum {

    SAMEMATERIALANDTHICKNESS(1,"相同材质和厚度"),
    SAMETHICKNESS(2,"相同厚度");


    private Integer type;
    private String filterName;

    public boolean equals(Integer type) {
        return this.type .equals(type) ;
    }

    public boolean equals(MixConfigTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.type .equals(this.getType()) ;
    }

}
